WP3VariableLengthGroup Class Reference

`#include <WP3VariableLengthGroup.h>`

Inheritance diagram for WP3VariableLengthGroup:

## Public Member Functions

| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()
virtual void | parse (WP3Listener *listener)=0

## Static Public Member Functions

static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions

void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Private Attributes

unsigned char | m_subGroup
unsigned short | m_size

## Constructor & Destructor Documentation

## WP3VariableLengthGroup()

WP3VariableLengthGroup::WP3VariableLengthGroup | ( |  | ) |

Referenced by constructVariableLengthGroup(), WP3DefinitionGroup::WP3DefinitionGroup(), WP3DisplayGroup::WP3DisplayGroup(), WP3EndOfLinePageGroup::WP3EndOfLinePageGroup(), WP3FontGroup::WP3FontGroup(), WP3FootnoteEndnoteGroup::WP3FootnoteEndnoteGroup(), WP3HeaderFooterGroup::WP3HeaderFooterGroup(), WP3MiscellaneousGroup::WP3MiscellaneousGroup(), WP3PageFormatGroup::WP3PageFormatGroup(), WP3UnsupportedVariableLengthGroup::WP3UnsupportedVariableLengthGroup(), and WP3WindowGroup::WP3WindowGroup().

## ~WP3VariableLengthGroup()

WP3VariableLengthGroup::~WP3VariableLengthGroup | ( |  | ) |

inline override

## Member Function Documentation

## _read()

void WP3VariableLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected

Referenced by WP3DefinitionGroup::WP3DefinitionGroup(), WP3DisplayGroup::WP3DisplayGroup(), WP3EndOfLinePageGroup::WP3EndOfLinePageGroup(), WP3FontGroup::WP3FontGroup(), WP3FootnoteEndnoteGroup::WP3FootnoteEndnoteGroup(), WP3HeaderFooterGroup::WP3HeaderFooterGroup(), WP3MiscellaneousGroup::WP3MiscellaneousGroup(), WP3PageFormatGroup::WP3PageFormatGroup(), WP3TablesGroup::WP3TablesGroup(), WP3UnsupportedVariableLengthGroup::WP3UnsupportedVariableLengthGroup(), and WP3WindowGroup::WP3WindowGroup().

## _readContents()

virtual void WP3VariableLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * | )

inline protected virtual

Reimplemented in WP3DefinitionGroup, WP3DisplayGroup, WP3FontGroup, WP3FootnoteEndnoteGroup, WP3HeaderFooterGroup, WP3MiscellaneousGroup, WP3PageFormatGroup, WP3TablesGroup, and WP3WindowGroup.

Referenced by _read().

## constructVariableLengthGroup()

WP3VariableLengthGroup * WP3VariableLengthGroup::constructVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | group )

static

Referenced by WP3Part::constructPart().

## getSize()

unsigned short WP3VariableLengthGroup::getSize | ( |  | ) | const

inline protected

Referenced by WP3FootnoteEndnoteGroup::_readContents(), and WP3TablesGroup::_readContents().

## getSubGroup()

unsigned char WP3VariableLengthGroup::getSubGroup | ( |  | ) | const

inline protected

Referenced by WP3DefinitionGroup::_readContents(), WP3DisplayGroup::_readContents(), WP3FontGroup::_readContents(), WP3HeaderFooterGroup::_readContents(), WP3MiscellaneousGroup::_readContents(), WP3PageFormatGroup::_readContents(), WP3TablesGroup::_readContents(), WP3WindowGroup::_readContents(), WP3DefinitionGroup::parse(), WP3DisplayGroup::parse(), WP3EndOfLinePageGroup::parse(), WP3FontGroup::parse(), WP3FootnoteEndnoteGroup::parse(), WP3HeaderFooterGroup::parse(), WP3MiscellaneousGroup::parse(), WP3PageFormatGroup::parse(), WP3TablesGroup::parse(), and WP3WindowGroup::parse().

## isGroupConsistent()

bool WP3VariableLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | group )

static

Referenced by WP3Part::constructPart().

## Member Data Documentation

## m_size

unsigned short WP3VariableLengthGroup::m_size

private

Referenced by _read(), getSize(), and WP3VariableLengthGroup().

## m_subGroup

unsigned char WP3VariableLengthGroup::m_subGroup

private

Referenced by _read(), getSubGroup(), and WP3VariableLengthGroup().

The documentation for this class was generated from the following files:

- WP3VariableLengthGroup.h
- WP3VariableLengthGroup.cpp